Page MenuHomePhabricator

ontology.owl should state that Items, Properties, Lexemes and Forms are owl:disjointWith each other
Closed, ResolvedPublic

Description

In the ontology.owl file we state that Items and Properties are owl:disjointWith each other. We should add that:

  • Items and Properties are also owl:disjointWith Lexemes and Forms,
  • Lexemes are owl:disjointWith Items, Properties and Forms, and
  • Forms are owl:disjointWith Items, Properties and Lexemes.

Details

Related Gerrit Patches:

Event Timeline

abian created this task.Nov 6 2018, 1:01 PM

Change 471991 had a related patch set uploaded (by Abián; owner: Abián):
[wikibase/wikiba.se@master] All subclasses of Entity, owl:disjointWith each other

https://gerrit.wikimedia.org/r/471991

Addshore assigned this task to abian.Nov 7 2018, 9:46 AM
Addshore triaged this task as Low priority.
Addshore moved this task from incoming to in progress on the Wikidata board.

Change 472110 had a related patch set uploaded (by Abián; owner: Abián):
[mediawiki/extensions/Wikibase@master] owl:AllDisjointClasses instead of owl:disjointWith

https://gerrit.wikimedia.org/r/472110

Change 472110 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] owl:AllDisjointClasses instead of owl:disjointWith

https://gerrit.wikimedia.org/r/472110

Change 471991 merged by jenkins-bot:
[wikibase/wikiba.se@master] All subclasses of Entity, owl:disjointWith each other

https://gerrit.wikimedia.org/r/471991

abian added a comment.EditedNov 9 2018, 3:45 PM

I think that repository hasn't been updated on T195368.

As with T195368 this is blocked on being deployed, which I talk about in T195368#4746706